MySQL++: mysqlpp::DBSelectionFailed Class Reference
mysqlpp::DBSelectionFailed Class Reference

Exception thrown when the program tries to select a new database and the database server refuses for some reason. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::DBSelectionFailed:
[legend]
Collaboration diagram for mysqlpp::DBSelectionFailed:
[legend]

## Public Member Functions

| DBSelectionFailed (const char *w="", int e=0)
| Create exception object. More...
int | errnum () const
| Return the error number corresponding to the error message returned by what(), if any. More...
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) MAY_THROW()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members

Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when the program tries to select a new database and the database server refuses for some reason.

## Constructor & Destructor Documentation

## DBSelectionFailed()

mysqlpp::DBSelectionFailed::DBSelectionFailed | ( | const char * | w = `""`,
|  | int | e = `0`
| ) |  |

inline explicit

Create exception object.

Parameters

  w | explanation for why the exception was thrown
  e | the error number from the underlying database API

## Member Function Documentation

## errnum()

int mysqlpp::DBSelectionFailed::errnum | ( |  | ) | const

inline

Return the error number corresponding to the error message returned by what(), if any.

If the error number is 0, it means that the error message doesn't come from the underlying database API, but rather from MySQL++ itself. This happens when an error condition is detected up at this higher level instead of letting the underlying database API do it.

The documentation for this class was generated from the following file:

- exceptions.h